<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>MainWindow</class>
 <widget class="QDialog" name="MainWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>895</width>
    <height>725</height>
   </rect>
  </property>
  <property name="sizePolicy">
   <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
    <horstretch>0</horstretch>
    <verstretch>0</verstretch>
   </sizepolicy>
  </property>
  <property name="minimumSize">
   <size>
    <width>0</width>
    <height>537</height>
   </size>
  </property>
  <property name="windowTitle">
   <string>Garuda Network Assistant</string>
  </property>
  <property name="locale">
   <locale language="English" country="UnitedStates"/>
  </property>
  <property name="sizeGripEnabled">
   <bool>false</bool>
  </property>
  <layout class="QGridLayout" name="gridLayout_4">
   <property name="leftMargin">
    <number>9</number>
   </property>
   <property name="topMargin">
    <number>9</number>
   </property>
   <property name="rightMargin">
    <number>9</number>
   </property>
   <property name="bottomMargin">
    <number>9</number>
   </property>
   <item row="3" column="0">
    <widget class="Line" name="line">
     <property name="frameShape">
      <enum>QFrame::HLine</enum>
     </property>
     <property name="frameShadow">
      <enum>QFrame::Sunken</enum>
     </property>
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
    </widget>
   </item>
   <item row="4" column="0">
    <layout class="QHBoxLayout" name="horizontalLayout_3">
     <property name="spacing">
      <number>5</number>
     </property>
     <property name="leftMargin">
      <number>0</number>
     </property>
     <property name="topMargin">
      <number>0</number>
     </property>
     <property name="rightMargin">
      <number>0</number>
     </property>
     <property name="bottomMargin">
      <number>0</number>
     </property>
     <item>
      <widget class="QPushButton" name="buttonAbout">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Minimum" vsizetype="Preferred">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="text">
        <string>About...</string>
       </property>
       <property name="icon">
        <iconset theme="help-about">
         <normaloff>.</normaloff>.</iconset>
       </property>
       <property name="shortcut">
        <string/>
       </property>
       <property name="autoDefault">
        <bool>true</bool>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QPushButton" name="generalHelpPushButton">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Minimum" vsizetype="Preferred">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="text">
        <string>Help</string>
       </property>
       <property name="icon">
        <iconset theme="help-contents">
         <normaloff>.</normaloff>.</iconset>
       </property>
      </widget>
     </item>
     <item>
      <spacer name="spacerLeft">
       <property name="orientation">
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeType">
        <enum>QSizePolicy::Fixed</enum>
       </property>
       <property name="sizeHint" stdset="0">
        <size>
         <width>250</width>
         <height>20</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <widget class="QLabel" name="Garudalogo">
       <property name="maximumSize">
        <size>
         <width>32</width>
         <height>32</height>
        </size>
       </property>
       <property name="locale">
        <locale language="English" country="UnitedStates"/>
       </property>
       <property name="text">
        <string/>
       </property>
       <property name="pixmap">
        <pixmap resource="images.qrc">:/icons/logo.png</pixmap>
       </property>
       <property name="scaledContents">
        <bool>true</bool>
       </property>
      </widget>
     </item>
     <item>
      <spacer name="spacerRight">
       <property name="orientation">
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeType">
        <enum>QSizePolicy::Expanding</enum>
       </property>
       <property name="sizeHint" stdset="0">
        <size>
         <width>100</width>
         <height>20</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <widget class="QPushButton" name="buttonCancel">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Minimum" vsizetype="Preferred">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="text">
        <string>&amp;Close</string>
       </property>
       <property name="icon">
        <iconset theme="window-close">
         <normaloff>.</normaloff>.</iconset>
       </property>
       <property name="shortcut">
        <string>Alt+C</string>
       </property>
       <property name="autoDefault">
        <bool>true</bool>
       </property>
       <property name="default">
        <bool>true</bool>
       </property>
      </widget>
     </item>
    </layout>
   </item>
   <item row="0" column="0">
    <widget class="QScrollArea" name="scrollArea">
     <property name="widgetResizable">
      <bool>true</bool>
     </property>
     <widget class="QWidget" name="scrollAreaWidgetContents">
      <property name="geometry">
       <rect>
        <x>0</x>
        <y>0</y>
        <width>886</width>
        <height>656</height>
       </rect>
      </property>
      <layout class="QVBoxLayout" name="verticalLayout_3">
       <item>
        <widget class="QTabWidget" name="tabWidget">
         <property name="sizePolicy">
          <sizepolicy hsizetype="Minimum" vsizetype="Expanding">
           <horstretch>0</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
         <property name="locale">
          <locale language="English" country="UnitedStates"/>
         </property>
         <property name="currentIndex">
          <number>0</number>
         </property>
         <property name="elideMode">
          <enum>Qt::ElideNone</enum>
         </property>
         <widget class="QWidget" name="statusTab">
          <attribute name="icon">
           <iconset theme="emblem-documents">
            <normaloff>.</normaloff>.</iconset>
          </attribute>
          <attribute name="title">
           <string>Status</string>
          </attribute>
          <layout class="QGridLayout" name="gridLayout_8">
           <item row="5" column="0">
            <widget class="QGroupBox" name="tracerouteGroupBox">
             <property name="minimumSize">
              <size>
               <width>0</width>
               <height>0</height>
              </size>
             </property>
             <property name="baseSize">
              <size>
               <width>0</width>
               <height>0</height>
              </size>
             </property>
             <property name="title">
              <string>Traceroute</string>
             </property>
             <layout class="QGridLayout" name="gridLayout">
              <item row="0" column="0">
               <widget class="QLabel" name="labelURL">
                <property name="text">
                 <string>Target URL:</string>
                </property>
               </widget>
              </item>
              <item row="0" column="1">
               <widget class="QLineEdit" name="tracerouteHostEdit"/>
              </item>
              <item row="0" column="2">
               <widget class="QLabel" name="labelHops">
                <property name="text">
                 <string>Hops</string>
                </property>
               </widget>
              </item>
              <item row="0" column="3">
               <widget class="QSpinBox" name="traceHopsNumber">
                <property name="minimum">
                 <number>1</number>
                </property>
                <property name="value">
                 <number>30</number>
                </property>
               </widget>
              </item>
              <item row="2" column="0" colspan="2">
               <layout class="QHBoxLayout" name="horizontalLayout">
                <item>
                 <widget class="QPushButton" name="tracerouteButton">
                  <property name="text">
                   <string>Start</string>
                  </property>
                  <property name="icon">
                   <iconset theme="system-search">
                    <normaloff>.</normaloff>.</iconset>
                  </property>
                  <property name="default">
                   <bool>false</bool>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPushButton" name="clearTraceOutput">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string>Clear</string>
                  </property>
                  <property name="icon">
                   <iconset theme="user-trash">
                    <normaloff>.</normaloff>.</iconset>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPushButton" name="cancelTrace">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string>Cancel</string>
                  </property>
                  <property name="icon">
                   <iconset theme="cancel">
                    <normaloff>.</normaloff>.</iconset>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
             </layout>
            </widget>
           </item>
           <item row="2" column="1">
            <widget class="QGroupBox" name="groupBt">
             <property name="title">
              <string>Bluetooth status</string>
             </property>
             <layout class="QGridLayout" name="gridLayout_11">
              <item row="1" column="4" alignment="Qt::AlignHCenter">
               <widget class="QLabel" name="labelBt">
                <property name="text">
                 <string>bt</string>
                </property>
               </widget>
              </item>
              <item row="2" column="4">
               <widget class="QPushButton" name="bluetooth">
                <property name="text">
                 <string>Start Bluetooth</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/bluetooth-active.png</normaloff>:/icons/bluetooth-active.png</iconset>
                </property>
               </widget>
              </item>
              <item row="0" column="4" alignment="Qt::AlignHCenter">
               <widget class="QToolButton" name="toolButton_bluetooth">
                <property name="text">
                 <string/>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/bluetooth-active.png</normaloff>:/icons/bluetooth-active.png</iconset>
                </property>
                <property name="checkable">
                 <bool>true</bool>
                </property>
                <property name="toolButtonStyle">
                 <enum>Qt::ToolButtonTextBesideIcon</enum>
                </property>
                <property name="autoRaise">
                 <bool>true</bool>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
           <item row="6" column="0">
            <widget class="QTextEdit" name="tracerouteOutputEdit">
             <property name="verticalScrollBarPolicy">
              <enum>Qt::ScrollBarAsNeeded</enum>
             </property>
             <property name="undoRedoEnabled">
              <bool>false</bool>
             </property>
             <property name="lineWrapMode">
              <enum>QTextEdit::NoWrap</enum>
             </property>
             <property name="lineWrapColumnOrWidth">
              <number>0</number>
             </property>
             <property name="readOnly">
              <bool>true</bool>
             </property>
             <property name="html">
              <string notr="true">&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;meta charset=&quot;utf-8&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
hr { height: 1px; border-width: 0; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Fira Sans'; font-size:10pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:'Sans Serif'; font-size:9pt;&quot;&gt;&lt;br /&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
             </property>
            </widget>
           </item>
           <item row="5" column="1">
            <widget class="QGroupBox" name="pingGroupBox">
             <property name="minimumSize">
              <size>
               <width>0</width>
               <height>0</height>
              </size>
             </property>
             <property name="title">
              <string>Ping</string>
             </property>
             <layout class="QGridLayout" name="gridLayout_2">
              <item row="0" column="0">
               <widget class="QLabel" name="labelPingURL">
                <property name="text">
                 <string>Target URL:</string>
                </property>
               </widget>
              </item>
              <item row="2" column="0" colspan="2">
               <layout class="QHBoxLayout" name="horizontalLayout_2">
                <item>
                 <widget class="QPushButton" name="pingButton">
                  <property name="text">
                   <string>Start</string>
                  </property>
                  <property name="icon">
                   <iconset theme="system-search">
                    <normaloff>.</normaloff>.</iconset>
                  </property>
                  <property name="default">
                   <bool>false</bool>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPushButton" name="clearPingOutput">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string>Clear</string>
                  </property>
                  <property name="icon">
                   <iconset theme="user-trash">
                    <normaloff>.</normaloff>.</iconset>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPushButton" name="cancelPing">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string>Cancel</string>
                  </property>
                  <property name="icon">
                   <iconset theme="cancel">
                    <normaloff>.</normaloff>.</iconset>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item row="0" column="1">
               <widget class="QLineEdit" name="pingHostEdit"/>
              </item>
              <item row="0" column="2">
               <widget class="QLabel" name="labelPackets">
                <property name="text">
                 <string>Packets</string>
                </property>
               </widget>
              </item>
              <item row="0" column="3">
               <widget class="QSpinBox" name="pingPacketNumber">
                <property name="minimum">
                 <number>1</number>
                </property>
                <property name="value">
                 <number>10</number>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
           <item row="10" column="0">
            <spacer name="verticalSpacer">
             <property name="orientation">
              <enum>Qt::Vertical</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>20</width>
               <height>40</height>
              </size>
             </property>
            </spacer>
           </item>
           <item row="2" column="0">
            <widget class="QGroupBox" name="groupWifi">
             <property name="title">
              <string>WiFi status</string>
             </property>
             <layout class="QGridLayout" name="gridLayout_10">
              <item row="1" column="4" alignment="Qt::AlignHCenter">
               <widget class="QLabel" name="labelWifi">
                <property name="text">
                 <string>wifi</string>
                </property>
               </widget>
              </item>
              <item row="0" column="4" alignment="Qt::AlignHCenter">
               <widget class="QToolButton" name="toolButton_wifi">
                <property name="text">
                 <string>...</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/network-wireless-signal-excellent.png</normaloff>:/icons/network-wireless-signal-excellent.png</iconset>
                </property>
                <property name="checkable">
                 <bool>true</bool>
                </property>
               </widget>
              </item>
              <item row="3" column="4">
               <widget class="QPushButton" name="netwman">
                <property name="text">
                 <string>Start NetworkManager</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/garuda-network-assistant.svg</normaloff>:/icons/garuda-network-assistant.svg</iconset>
                </property>
               </widget>
              </item>
              <item row="2" column="4">
               <widget class="QPushButton" name="connman">
                <property name="text">
                 <string>start connman</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/garuda-network-assistant.png</normaloff>:/icons/garuda-network-assistant.png</iconset>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
           <item row="6" column="1">
            <widget class="QTextEdit" name="pingOutputEdit">
             <property name="undoRedoEnabled">
              <bool>false</bool>
             </property>
             <property name="lineWrapMode">
              <enum>QTextEdit::NoWrap</enum>
             </property>
             <property name="lineWrapColumnOrWidth">
              <number>0</number>
             </property>
             <property name="readOnly">
              <bool>true</bool>
             </property>
             <property name="html">
              <string notr="true">&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;meta charset=&quot;utf-8&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
hr { height: 1px; border-width: 0; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Fira Sans'; font-size:10pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:'Noto Sans'; font-size:10.5pt;&quot;&gt;&lt;br /&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
             </property>
            </widget>
           </item>
           <item row="1" column="0" colspan="2">
            <widget class="QGroupBox" name="groupInterface">
             <property name="title">
              <string>Networking</string>
             </property>
             <layout class="QGridLayout" name="gridLayout_13">
              <item row="3" column="2" alignment="Qt::AlignHCenter">
               <widget class="QLabel" name="labelGps">
                <property name="text">
                 <string>geoclue</string>
                </property>
               </widget>
              </item>
              <item row="3" column="1" alignment="Qt::AlignHCenter">
               <widget class="QPushButton" name="wifihotspot">
                <property name="enabled">
                 <bool>true</bool>
                </property>
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="toolTip">
                 <string>Unblocks all soft/hard blocked wireless devices</string>
                </property>
                <property name="text">
                 <string>Create Wifi hotspot</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/network-wireless-hotspot.svg</normaloff>:/icons/network-wireless-hotspot.svg</iconset>
                </property>
               </widget>
              </item>
              <item row="0" column="2" alignment="Qt::AlignHCenter">
               <widget class="QToolButton" name="toolButton_gps">
                <property name="text">
                 <string>...</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/gps.png</normaloff>:/icons/gps.png</iconset>
                </property>
                <property name="checkable">
                 <bool>true</bool>
                </property>
                <property name="autoRaise">
                 <bool>true</bool>
                </property>
               </widget>
              </item>
              <item row="0" column="0" alignment="Qt::AlignHCenter">
               <widget class="QToolButton" name="toolButton_airplanemode">
                <property name="text">
                 <string>...</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/airplane-mode.png</normaloff>:/icons/airplane-mode.png</iconset>
                </property>
                <property name="checkable">
                 <bool>true</bool>
                </property>
                <property name="autoRaise">
                 <bool>true</bool>
                </property>
               </widget>
              </item>
              <item row="3" column="0" alignment="Qt::AlignHCenter">
               <widget class="QLabel" name="labelairplanemode">
                <property name="text">
                 <string>Airplane mode</string>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
           <item row="3" column="0" colspan="2">
            <widget class="QGroupBox" name="groupIP">
             <property name="title">
              <string>IP address</string>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout_7">
              <item>
               <widget class="QLabel" name="labelInterface">
                <property name="text">
                 <string>interface</string>
                </property>
               </widget>
              </item>
              <item>
               <widget class="QLabel" name="labelIP">
                <property name="text">
                 <string>ip</string>
                </property>
               </widget>
              </item>
              <item>
               <widget class="QLabel" name="labelRouterIP">
                <property name="text">
                 <string>router ip</string>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="linuxTab">
          <attribute name="icon">
           <iconset resource="images.qrc">
            <normaloff>:/icons/tux.png</normaloff>:/icons/tux.png</iconset>
          </attribute>
          <attribute name="title">
           <string>Linux drivers</string>
          </attribute>
          <layout class="QVBoxLayout" name="verticalLayout_2">
           <item>
            <widget class="QGroupBox" name="hardwaregroupBox">
             <property name="title">
              <string>Hardware detected</string>
             </property>
             <layout class="QGridLayout" name="gridLayout_6">
              <item row="1" column="1">
               <spacer name="horizontalSpacer">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
                <property name="sizeHint" stdset="0">
                 <size>
                  <width>40</width>
                  <height>20</height>
                 </size>
                </property>
               </spacer>
              </item>
              <item row="1" column="0">
               <widget class="QPushButton" name="hwDiagnosePushButton">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>180</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string>Re-scan</string>
                </property>
                <property name="icon">
                 <iconset theme="view-refresh">
                  <normaloff>.</normaloff>.</iconset>
                </property>
               </widget>
              </item>
              <item row="0" column="0" colspan="2">
               <widget class="QListWidget" name="hwList">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>0</width>
                  <height>65</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>16777215</width>
                  <height>500</height>
                 </size>
                </property>
                <property name="mouseTracking">
                 <bool>true</bool>
                </property>
                <property name="focusPolicy">
                 <enum>Qt::StrongFocus</enum>
                </property>
                <property name="contextMenuPolicy">
                 <enum>Qt::CustomContextMenu</enum>
                </property>
                <property name="layoutDirection">
                 <enum>Qt::LeftToRight</enum>
                </property>
                <property name="autoFillBackground">
                 <bool>false</bool>
                </property>
                <property name="autoScroll">
                 <bool>true</bool>
                </property>
                <property name="selectionMode">
                 <enum>QAbstractItemView::SingleSelection</enum>
                </property>
                <property name="textElideMode">
                 <enum>Qt::ElideLeft</enum>
                </property>
                <property name="verticalScrollMode">
                 <enum>QAbstractItemView::ScrollPerPixel</enum>
                </property>
                <property name="viewMode">
                 <enum>QListView::ListMode</enum>
                </property>
                <property name="modelColumn">
                 <number>0</number>
                </property>
                <property name="uniformItemSizes">
                 <bool>true</bool>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
           <item>
            <widget class="QGroupBox" name="driversGroupBox">
             <property name="minimumSize">
              <size>
               <width>0</width>
               <height>0</height>
              </size>
             </property>
             <property name="title">
              <string>Associated Linux drivers</string>
             </property>
             <layout class="QGridLayout" name="gridLayout_3">
              <item row="3" column="1">
               <widget class="QPushButton" name="linuxDrvLoad">
                <property name="enabled">
                 <bool>false</bool>
                </property>
                <property name="text">
                 <string>Load Driver</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/connect_creating.png</normaloff>:/icons/connect_creating.png</iconset>
                </property>
               </widget>
              </item>
              <item row="1" column="0" colspan="4">
               <widget class="QListWidget" name="linuxDrvList">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>0</width>
                  <height>65</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>16777215</width>
                  <height>500</height>
                 </size>
                </property>
                <property name="contextMenuPolicy">
                 <enum>Qt::CustomContextMenu</enum>
                </property>
                <property name="layoutDirection">
                 <enum>Qt::LeftToRight</enum>
                </property>
                <property name="autoFillBackground">
                 <bool>false</bool>
                </property>
                <property name="verticalScrollBarPolicy">
                 <enum>Qt::ScrollBarAsNeeded</enum>
                </property>
                <property name="selectionMode">
                 <enum>QAbstractItemView::SingleSelection</enum>
                </property>
                <property name="verticalScrollMode">
                 <enum>QAbstractItemView::ScrollPerItem</enum>
                </property>
                <property name="viewMode">
                 <enum>QListView::ListMode</enum>
                </property>
                <property name="modelColumn">
                 <number>0</number>
                </property>
                <property name="uniformItemSizes">
                 <bool>true</bool>
                </property>
               </widget>
              </item>
              <item row="3" column="2">
               <widget class="QPushButton" name="linuxDrvUnload">
                <property name="enabled">
                 <bool>false</bool>
                </property>
                <property name="text">
                 <string>Unload driver</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/connect_no.png</normaloff>:/icons/connect_no.png</iconset>
                </property>
               </widget>
              </item>
              <item row="3" column="0">
               <widget class="QPushButton" name="linuxDrvDiagnosePushButton">
                <property name="maximumSize">
                 <size>
                  <width>180</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string>Re-scan</string>
                </property>
                <property name="icon">
                 <iconset theme="view-refresh">
                  <normaloff>.</normaloff>.</iconset>
                </property>
               </widget>
              </item>
              <item row="3" column="3">
               <widget class="QPushButton" name="linuxDrvBlacklistPushButton">
                <property name="enabled">
                 <bool>false</bool>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>156</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="text">
                 <string>Blacklist driver</string>
                </property>
                <property name="icon">
                 <iconset resource="images.qrc">
                  <normaloff>:/icons/file_locked.png</normaloff>:/icons/file_locked.png</iconset>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
          </layout>
         </widget>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <layoutdefault spacing="6" margin="11"/>
 <tabstops>
  <tabstop>buttonAbout</tabstop>
  <tabstop>generalHelpPushButton</tabstop>
  <tabstop>buttonCancel</tabstop>
  <tabstop>hwList</tabstop>
  <tabstop>pingHostEdit</tabstop>
  <tabstop>pingPacketNumber</tabstop>
  <tabstop>pingButton</tabstop>
  <tabstop>clearPingOutput</tabstop>
  <tabstop>cancelPing</tabstop>
  <tabstop>tracerouteHostEdit</tabstop>
  <tabstop>traceHopsNumber</tabstop>
  <tabstop>tracerouteButton</tabstop>
  <tabstop>clearTraceOutput</tabstop>
  <tabstop>cancelTrace</tabstop>
 </tabstops>
 <resources>
  <include location="images.qrc"/>
 </resources>
 <connections>
  <connection>
   <sender>tracerouteHostEdit</sender>
   <signal>editingFinished()</signal>
   <receiver>tracerouteButton</receiver>
   <slot>setFocus()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>313</x>
     <y>294</y>
    </hint>
    <hint type="destinationlabel">
     <x>110</x>
     <y>427</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>pingHostEdit</sender>
   <signal>editingFinished()</signal>
   <receiver>pingButton</receiver>
   <slot>setFocus()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>306</x>
     <y>87</y>
    </hint>
    <hint type="destinationlabel">
     <x>108</x>
     <y>220</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
